body {
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 450;
  font-style: normal;
  font-size: 32px;
  color: #101820;
  background-color: #101820;
}

.nav-link {
  color: #101820;
  text-decoration: none;
  transition: color 0.3s ease;
}

.nav-link:hover {
  color: #5585aa;
}

.jump-on-hover {
  transition: .3s ease all;
}

.jump-on-hover:hover {
  transition: .3s ease all;
  transform: translateY(-5px) scale(1.0625);
}

.wrapper-container {
  max-width: 1400px;
  height: 100%;
  margin: auto;
  margin-top: 0.5%;
  padding: 15px;
  border-radius: 15px;
}  

.block-container {
  max-width: 1400px;
  background: #0ccccc;
  height: 100%;
  margin: auto;
  margin-top: 2.5%;
  padding: 15px;
  border-radius: 15px;
}  

.nav, .socials {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: #00d9d9;
  border-radius: 25px;
}

.nav {
  padding: 24px 10px 24px 10px;
}

.socials {
  gap: 50px;
  padding: 20px 40px 20px 40px;
}

#socialmedia {
  width: 40px;
  height: 40px;
}

.nav-wrapper {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  gap: 3%;
}

.row {
  display: flex;
  flex-direction: row;
}

.center {
  display: flex;
  align-items: center;
}

.center1 {
  display: flex;
  justify-content: center;
}

#topBlock {
  gap: 50px;
}

.greeting {
  font-size: 48px;
  margin-bottom: -10px;
}

.logo {
  height: 125px;
  width: auto;
}

#logo {
    margin-left: 20px;
  }


@media (max-width: 935px) {
  body {
    font-size: 25px;
    font-weight: 420;
  }

  .greeting {
    font-size: 38px;
  }

  #socialmedia {
    height: 32px;
    width: 32px;
  }

  .logo {
    height: 100px;
  }

  #logo {
    margin-left: 15px;
  }
}

@media (max-width: 835px) {
  body {
    font-size: 25px;
    font-weight: 425;
  }

  #socialmedia {
    height: 28px;
    width: 28px;
  }
}

@media (max-width: 768px) {
  .center-on-mobile {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .socials {
    justify-content: center;
    padding: 0.5rem calc(1rem + 90px) 0.5rem  calc(1rem + 90px);
    max-width: 140px;
    border-radius: 20px;
  }
  #socialmedia {
    width: 28px;
    height: 28px;
  }
  .nav-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, 1fr);
    grid-row-gap: 10px
  }
  .block-container {
    margin-top: 3.5%;
  }

  #topBlock {
    gap: 30px;
  }

  .logo {
    height: 75px;
    margin-left: 0;
  }

  #logo {
    margin-left: 10px;
  }
}

@media (max-width: 470px) {

  body {
    font-size: 20px;
  }

  .greeting {
    font-size: 30px;
  }
  
  .nav {
    padding: 1rem 0.5rem 1rem 0.5rem;
    border-radius: 15px;
  }
  .socials {
    padding: 0.5rem calc(1rem + 20%) 0.5rem  calc(1rem + 20%);
    border-radius: 15px;
  }
  #socialmedia {
    width: 20px;
    height: 20px;
  }
  .block-container {
    margin-top: 5.25%;
  }

  .logo {
    height: 60px;
  }

  #logo {
    margin-left: 5px;
  }
}

@media (max-width: 400px) {
  body {
    font-weight: 380;
  }

  .greeting {
    font-size: 28px;
  }
}